<?php
$main_news_query = new WP_Query( $main_news_args );
if ( $main_news_query->have_posts() ) {

	$main_news_title      = get_theme_mod( 'supreme_news_main_banner_title', __( 'Main News', 'supreme-news' ) );
	$main_news_button     = get_theme_mod( 'supreme_news_main_banner_button_label', __( 'View All', 'supreme-news' ) );
	$main_news_button_url = get_theme_mod( 'supreme_news_main_banner_button_link', '#' );
	?>
	<div class="banner-main-part">
		<?php if ( ! empty( $main_news_title || $main_news_button ) ) { ?>
			<div class="title-heading">
				<h3 class="section-title"><?php echo esc_html( $main_news_title ); ?></h3>
				<?php if ( ! empty( $main_news_button ) ) { ?>
					<a href="<?php echo esc_url( $main_news_button_url ); ?>" class="view-all"><?php echo esc_html( $main_news_button ); ?></a>
				<?php } ?>
			</div>
		<?php } ?>
		<div class="banner-main-wrap banner-slider slick-button">
			<?php
			while ( $main_news_query->have_posts() ) :
				$main_news_query->the_post();
				?>
				<div class="blog-post-container tile-layout">
					<div class="blog-post-inner">
						<?php if ( has_post_thumbnail() ) { ?>
							<div class="blog-post-image">
								<a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'full' ); ?></a>
							</div>
						<?php } ?>
						<div class="blog-post-detail">
							<?php supreme_news_categories_list(); ?>
							<h2 class="entry-title">
								<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
							</h2>
							<div class="post-meta">
								<?php
								supreme_news_posted_by();
								supreme_news_posted_on();
								?>
							</div>
						</div>
					</div>
				</div>
				<?php
			endwhile;
			wp_reset_postdata();
			?>
		</div>
	</div>
	<?php
}
